Bug 117581 - [PATCH]devel/libevent: update to 1.3e
Summary: [PATCH]devel/libevent: update to 1.3e
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-28 01:00 UTC by bf
Modified: 2008-01-02 23:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2007-10-28 01:00:05 UTC
Release 2007-09-24

    * Fix compilation on Solaris; from Magne Mahre
    * Add a "Date" header to HTTP responses when it's missing, as required by HTTP 1.1. Original Patch from Ralph Moritz.
    * Fix a memory leak in which failed HTTP connections whould not free the request object.
    * Fix a memory leak in the DNS server.
    * Handle NULL timeouts correctly on Solaris; from Trond Norbye
    * Recalculate pending events properly when reallocating event array on Solaris; from Trond Norbye


diff -ruN libevent.orig/Makefile libevent/Makefile
--- libevent.orig/Makefile	Sat Oct 27 13:54:15 2007
+++ libevent/Makefile	Sat Oct 27 14:59:59 2007
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	libevent
-PORTVERSION=	1.3d
+PORTVERSION=	1.3e
 CATEGORIES=	devel
 MASTER_SITES=	http://monkey.org/~provos/
 
diff -ruN libevent.orig/distinfo libevent/distinfo
--- libevent.orig/distinfo	Sat Oct 27 13:54:15 2007
+++ libevent/distinfo	Sat Oct 27 14:59:59 2007
@@ -1,3 +1,3 @@
-MD5 (libevent-1.3d.tar.gz) = 664a429247e7737162bd667e166b2761
-SHA256 (libevent-1.3d.tar.gz) = 444c89dc9362ba849a537169e03a217fddde1a5e15392ad705ac1dfad5cb345a
-SIZE (libevent-1.3d.tar.gz) = 441883
+MD5 (libevent-1.3e.tar.gz) = 8553ad0f8a35d8d96ae0c69c387e06d3
+SHA256 (libevent-1.3e.tar.gz) = df523e0d9606e5bcbd8006840cee72ebf3acb934d54624bce8e19f7470237df5
+SIZE (libevent-1.3e.tar.gz) = 452077
diff -ruN libevent.orig/pkg-plist libevent/pkg-plist
--- libevent.orig/pkg-plist	Sat Oct 27 13:54:15 2007
+++ libevent/pkg-plist	Sat Oct 27 14:59:59 2007
@@ -2,8 +2,8 @@
 include/event.h
 include/evhttp.h
 include/evdns.h
-lib/libevent-1.3d.so
-lib/libevent-1.3d.so.1
+lib/libevent-1.3e.so
+lib/libevent-1.3e.so.1
 lib/libevent.a
 lib/libevent.la
 lib/libevent.so
Comment 1 Edwin Groothuis freebsd_committer 2007-10-28 01:00:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Xin LI 2007-12-08 01:34:15 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Please also consider this version, which attempts to eliminate the
future need of modifying pkg-plist for every small update.

	http://people.freebsd.org/~delphij/misc/libevent-1.3e.diff

Cheers,
- --
Xin LI <delphij@delphij.net>	http://www.delphij.net/
FreeBSD - The Power to Serve!
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4 (FreeBSD)

iD8DBQFHWfSXhcUczkLqiksRAvE2AJ4xavfdX62L/VNJDbIMN2b6K9R9mgCdEkoC
UIcuancdnwFrfP+odSRJBuE=
=EhK5
-----END PGP SIGNATURE-----
Comment 3 dfilter service freebsd_committer 2008-01-02 23:42:22 UTC
mnag        2008-01-02 23:42:18 UTC

  FreeBSD ports repository

  Modified files:
    devel/libevent       Makefile distinfo pkg-plist 
  Log:
  - Update to 1.3e
  
  PR:             117581
  Submitted by:   bf <bf2006a___yahoo.com>
  
  Revision  Changes    Path
  1.34      +1 -1      ports/devel/libevent/Makefile
  1.19      +3 -3      ports/devel/libevent/distinfo
  1.9       +2 -2      ports/devel/libevent/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Marcus Alves Grando freebsd_committer 2008-01-02 23:58:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!